# Keycloak 2FA EMAIL Authenticator

### Compatible with version 22.0.1

#### Build
	* mvn clean install

#### Steps to install
1. After this command you will see .jar file inside target directory. Copy niroj.keycloak-2fa-sms-authenticator.jar and place it inside /opt/keycloak/providers/ or for bitnami its /opt/bitnami/keycloak/providers/
2. Restart server


This authenticator is modification of https://github.com/dasniko/keycloak-2fa-sms-authenticator. Instead of sms opt it sends otp code to user email. You have to setup smtp detail in keycloak admin panel.


Please follow below video on how to setup authentication properly.
Youtube channel https://www.youtube.com/channel/UCKesfkcJMKC3-EythSLBXBQ.

[![](http://img.youtube.com/vi/GQi19817fFk/maxresdefault.jpg)](http://www.youtube.com/watch?v=GQi19817fFk "")

[![](http://img.youtube.com/vi/FHJ5WOx1es0/maxresdefault.jpg)](http://www.youtube.com/watch?v=FHJ5WOx1es0 "")
